pydo.monitoring.get_database_mysql_memory_usage()

Generated on 7 Jul 2026 from pydo version v0.39.0

Usage

client.monitoring.get_database_mysql_memory_usage(
    db_id="9cc10173-e9ea-4176-9dbc-a4cee4c4ff30",
    aggregate="avg",
    start="1620683817",
    end="1620705417",
)
Returns JSONRaises HttpResponseError

Description

Retrieve memory usage (percent) for a MySQL cluster. Use aggregate (avg, max, or min) over the time range.

Parameters

db_id string required

The DBaaS cluster UUID (database ID).

aggregate string required

Aggregation over the time range (avg, max, or min).

One of: avg, max, min

start string required

UNIX timestamp to start metric window.

end string required

UNIX timestamp to end metric window.

Response Example

Show Response Example
{
  "data": {
    "result": [],
    "resultType": "matrix"
  },
  "status": "success"
}

More Information

See /v2/monitoring/metrics/database/mysql/memory_usage in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.